Subject: RE: bug#32799: 26; `(mouse-)tear-off-window'

From: Drew Adams <[email-masked]>
Date: Sat, 22 Sep 2018 08:56:44 -0700 (PDT)

> The comment to the change (made in July 2014) says:
>   Rename from mouse-tear-off-window since it also makes sense to bind
>   it to a non-mouse event.

Can it in fact be bound to a non-mouse event?
If I thought it could then I would not have filed this bug.

emacs -Q

Evaluate (global-set-key "\C-o" 'tear-off-window), then try C-o.
I get this error:

command-execute: tear-off-window must be bound to an event with parameters

Same thing (naturally) if I bind a keyboard key to the alias.

If I'm missing something and this can be bound to keyboard keys then please let me know how and close the ticket.

GNU Emacs 26.1 (build 1, x86_64-w64-mingw32) of 2018-05-30